execute in minecraft:overworld run tp @e[tag=pink] -114.12 4.00 103.30 -1247.78 2.31

kill @e[tag=gold]

# Spawn boss
summon minecraft:zombie -108.75 3.94 85.66 {Attributes: [{Name:"generic.max_health",Base:1024},{Name:"generic.movement_speed", Base:0.3},{Name:"generic.knockback_resistance", Base:0.6},{Name:"generic.attack_damage", Base:2},{Name:"generic.armor", Base:8}], Invulnerable: 0b, Team:"boss" ,Motion: [0.0d, -0.0784000015258789d, 0.0d], Health:1600.0f, Rotation: [-150.64925f, -1.9270694f], HandItems: [{id: "minecraft:iron_sword", Count: 1b, tag: {Damage: 0}}, {}], CustomName: '{"color":"gold","text":"Jonathan"}', Fire: -1s, ArmorItems: [{id: "minecraft:leather_boots", Count: 1b, tag: {display: {color: 5055242}, Damage: 0}}, {id: "minecraft:leather_leggings", Count: 1b, tag: {display: {color: 12078336}, Damage: 0}}, {id: "minecraft:leather_chestplate", Count: 1b, tag: {display: {color: 16736768}, Damage: 0}}, {id: "minecraft:player_head", Count: 1b, tag: {SkullOwner: {Id: [I; 610080317, -1229829307, -2123503787, -1238221959], Properties: {textures: [{Value: "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTcyZmIxYWM4M2RhNDY1ZjczYWM5NjMyNjk4OWI0ZjQ5OTVjNzZjMjlhMjllN2M0MzVkNzdiNDhhN2FkMzg0ZiJ9fX0="}]}}}}], CustomNameVisible: 1b, AbsorptionAmount:0}

# Add blindness and nerv
scoreboard players set debuff condition 0

# Set max_health 
function trackboss:getmaxhealth

# Track health 
function trackboss:on
schedule function trackboss:start 1t

# Create bossbar
bossbar add boss {"text":"Jonathan", "color":"gold"}
bossbar set boss players @a 
bossbar set boss visible true
bossbar set boss color yellow

# Reset stage 
scoreboard players set stage2 condition 0

# Check stage 
schedule function s5:checkstage 1t

# Summon randomizer
summon minecraft:zombie -112.68 24.00 63.51 {Brain: {memories: {}}, HurtByTimestamp: 0, IsBaby: 0b, Attributes: [{Base: 0.0d, Modifiers: [{Amount: 0.00854099859619275d, Operation: 0, UUID: [I; -777365802, -797163225, -2026298274, 1695676329], Name: "Random spawn bonus"}], Name: "minecraft:generic.knockback_resistance"}, {Base: 0.003945839977917639d, Name: "minecraft:zombie.spawn_reinforcements"}, {Base: 0.23000000417232513d, Name: "minecraft:generic.movement_speed"}, {Base: 35.0d, Modifiers: [{Amount: -0.0032467208658964065d, Operation: 1, UUID: [I; -1842117344, -1435415783, -1879592922, 59424635], Name: "Random spawn bonus"}], Name: "minecraft:generic.follow_range"}], Invulnerable: 0b, FallFlying: 0b, PortalCooldown: 0, AbsorptionAmount: 0.0f, InWaterTime: -1, FallDistance: 0.0f, DeathTime: 0s, HandDropChances: [0.085f, 0.085f], PersistenceRequired: 0b, Motion: [-0.04373078134968898d, -0.0784000015258789d, -0.007004246072828632d], Health: 20.0f, LeftHanded: 0b, Air: 300s, OnGround: 1b, Rotation: [87.39923f, 2.2822173f], HandItems: [{}, {}], ArmorDropChances: [0.085f, 0.085f, 0.085f, 0.085f], CanBreakDoors: 0b, Fire: -1s, ArmorItems: [{}, {}, {}, {}], CanPickUpLoot: 0b, HurtTime: 0s, DrownedConversionTime: -1, Tags:["Randomizer"]}

summon minecraft:villager -112.50 24.00 60.50 {Brain: {memories: {}}, HurtByTimestamp: 0, Attributes: [{Base: 0.5d, Name: "minecraft:generic.movement_speed"}, {Base: 48.0d, Modifiers: [{Amount: -0.004027894945529796d, Operation: 1, UUID: [I; 383773235, 1530351612, -1937418970, -1337692692], Name: "Random spawn bonus"}], Name: "minecraft:generic.follow_range"}], Invulnerable: 0b, FallFlying: 0b, ForcedAge: 0, Gossips: [], PortalCooldown: 0, AbsorptionAmount: 0.0f, LastRestock: 0L, FallDistance: 0.0f, DeathTime: 0s, Xp: 0, LastGossipDecay: 7342758L, HandDropChances: [0.085f, 0.085f], PersistenceRequired: 0b, Age: 0, Motion: [0.0d, -0.0784000015258789d, 0.0d], Health: 20.0f, LeftHanded: 0b, Air: 300s, OnGround: 1b, Rotation: [-141.20554f, 0.0f], HandItems: [{}, {}], RestocksToday: 0, ArmorDropChances: [0.085f, 0.085f, 0.085f, 0.085f], Fire: -1s, ArmorItems: [{}, {}, {}, {}], CanPickUpLoot: 1b, VillagerData: {profession: "minecraft:none", level: 1, type: "minecraft:plains"}, HurtTime: 0s, Inventory: [], Tags:["Randomizer"]}

# brown get weapon
execute as @e[tag=brown] run data merge entity @s {HandItems:[{id:"firework_rocket",Count:1b},{id:"fire_charge",Count:1b}]}

